Skip to main content
PUT
/
v1
/
webhooks
/
{subscriptionId}
Update webhook subscription
curl --request PUT \
  --url https://api.xentfi.com/v1/webhooks/{subscriptionId} \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "url": "<string>",
  "isActive": true,
  "eventTypes": []
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "developerId": "<string>",
    "url": "<string>",
    "eventTypes": [],
    "secret": "<string>",
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

subscriptionId
string
required

Body

application/json
url
string<uri>
isActive
boolean
eventTypes
enum<string>[]
Available options:
DEPOSITE_INCOMING_DETECTED,
DEPOSITE_OUTGOING_DETECTED,
SWAP_EXECUTED,
SWAP_FAILED,
TRANSFER_EXECUTED,
TRANFER_FAILED,
SIGNED_SUCCESS,
SIGNED_FAILED,
DEPOSITE_ADDRESS_CREATED

Response

Webhook subscription updated

data
object
message
string